SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces | Enumerations
ReadyEvent.h File Reference

Ready event plugin. This enables a set of systems to create a signal event, set this signal as ready or unready, and to trigger the event when all systems are ready. More...

`#include "NativeFeatureIncludes.h"`
`#include "PluginInterface2.h"`
`#include "DS_OrderedList.h"`

Go to the source code of this file.

## Classes

class | SLNet::ReadyEvent
| Peer to peer synchronized ready and unready events. More...
struct | SLNet::ReadyEvent::RemoteSystem
struct | SLNet::ReadyEvent::ReadyEventNode

## Namespaces

namespace | SLNet
| Simple class to send changes between directories. In essence, a simple autopatcher that can be used for transmitting levels, skins, etc.

## Enumerations

enum | SLNet::ReadyEventSystemStatus { SLNet::RES_NOT_WAITING, SLNet::RES_WAITING, SLNet::RES_READY, SLNet::RES_ALL_READY, SLNet::RES_UNKNOWN_EVENT }

## Detailed Description

Ready event plugin. This enables a set of systems to create a signal event, set this signal as ready or unready, and to trigger the event when all systems are ready.

Definition in file ReadyEvent.h.